Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	LAN penetration testing suite
Name:		ettercap-NG
Version:	0.7.3
Release:	2
Group:		Networking/Other
License:	GPL
URL:		http://ettercap.sourceforge.net/
Source0:	%{name}-%{version}.tar.gz
Source1:	ettercap.desktop
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildArch:	i686

BuildRequires:	libpcap-devel
BuildRequires:  libnet-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib-devel
BuildRequires: glibc-devel
BuildRequires: gtk2+-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libtool-devel
BuildRequires: libxcb-devel
BuildRequires: ncurses-devel
BuildRequires: openssl-devel
BuildRequires: pango-devel
BuildRequires: pcre-devel
BuildRequires: pixman-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
Ettercap is a suite for man in the middle attacks on LAN.
It features sniffing of live connections, content filtering
on the fly and many other interesting tricks.
It supports active and passive dissection of many protocols
(even ciphered ones) and includes many feature for network
and host analysis. 

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--enable-gtk \
--sysconfdir=%_sysconfdir \
--disable-dependency-tracking
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT%_datadir/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%_datadir/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%_datadir/icons/hicolor/48x48/apps
install -m 644 share/ettercap.png $RPM_BUILD_ROOT%_datadir/icons/hicolor/16x16/apps/ettercap.png
install -m 644 share/ettercap.png $RPM_BUILD_ROOT%_datadir/icons/hicolor/32x32/apps/ettercap.png
install -m 644 share/ettercap.png $RPM_BUILD_ROOT%_datadir/icons/hicolor/48x48/apps/ettercap.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sysconfdir}/etter.conf
%{_bindir}/ettercap      
%{_bindir}/etterfilter   
%{_bindir}/etterlog      
%{_libdir}/ettercap
%{_datadir}/ettercap
%{_datadir}/icons/hicolor/*/apps/ettercap.png
%{_mandir}/man5/etter.conf.5.gz
%{_mandir}/man8/ettercap.8.gz
%{_mandir}/man8/ettercap_curses.8.gz
%{_mandir}/man8/ettercap_plugins.8.gz
%{_mandir}/man8/etterfilter.8.gz
%{_mandir}/man8/etterlog.8.gz

%changelog
* Sun Jan 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.3-1
- rebuilt package
* Sun May 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.7.3-1
- Initial Release
